> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Warrant Fields

> Updates a warrant's status flags, terms and investor entity and upserts its custom tags in one transaction.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-warrant-fields
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-warrant-fields:
    post:
      operationId: updateWarrantFields
      summary: Update Warrant Fields
      description: >-
        Updates a warrant's status flags, terms and investor entity and upserts
        its custom tags in one transaction.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWarrantFieldsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateWarrantFieldsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateWarrantFieldsRequest:
      type: object
      properties:
        warrantID:
          type: string
          format: uuid
        isSigned:
          type: boolean
        isPaid:
          type: boolean
        isUnderLockup:
          type: boolean
        isExercised:
          type: boolean
        isOffPlatform:
          type: boolean
        warrantName:
          type: string
          minLength: 1
          maxLength: 500
        firmName:
          type: string
          maxLength: 500
        warrantAmount:
          type: number
        lockupPeriodMonths:
          type: integer
          minimum: 0
          maximum: 1000
        lockupFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        purchasePrice:
          type: number
        issueDate:
          type: string
          format: date-time
        tags:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 100
          maxItems: 500
        roleInOrgID:
          type: string
          format: uuid
        investorEntityID:
          type: string
          format: uuid
      required:
        - warrantID
        - isSigned
        - isPaid
        - isUnderLockup
        - isExercised
        - isOffPlatform
        - roleInOrgID
    UpdateWarrantFieldsResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
